ossl_x509.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros

#define | DefX509Const(x) rb_define_const(mX509, #x,INT2FIX(X509_##x))
#define | DefX509Default(x, i) rb_define_const(mX509, "DEFAULT_" #x, rb_str_new2(X509_get_default_##i()))

## Functions

void | Init_ossl_x509 ()

## Variables

VALUE | mX509

## Macro Definition Documentation

#define DefX509Const | ( |  | x | ) | rb_define_const(mX509, #x,INT2FIX(X509_##x))

Definition at line 15 of file ossl_x509.c.

Referenced by Init_ossl_x509().

#define DefX509Default | ( |  | x,
|  |  | i
| ) |  | rb_define_const(mX509, "DEFAULT_" #x, rb_str_new2(X509_get_default_##i()))

Definition at line 16 of file ossl_x509.c.

Referenced by Init_ossl_x509().

## Function Documentation

void Init_ossl_x509 | ( | void |  | ) |

Definition at line 20 of file ossl_x509.c.

References DefX509Const, DefX509Default, Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), Init_ossl_x509store(), mOSSL, mX509, and rb_define_module_under().

Referenced by Init_openssl().

## Variable Documentation

VALUE mX509

Definition at line 13 of file ossl_x509.c.

Referenced by Init_ossl_x509(), Init_ossl_x509attr(), Init_ossl_x509cert(), Init_ossl_x509crl(), Init_ossl_x509ext(), Init_ossl_x509name(), Init_ossl_x509req(), Init_ossl_x509revoked(), and Init_ossl_x509store().